Bug 19262 - pod_spell.t does not work
Summary: pod_spell.t does not work
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-06 13:42 UTC by Jonathan Druart
Modified: 2017-11-23 23:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19262: Remove xt/author/pod_spell.t (1.46 KB, patch)
2017-09-06 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19262: Remove xt/author/pod_spell.t (1.52 KB, patch)
2017-09-06 17:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-06 13:42:43 UTC
If you run `prove xt/author/pod_spell.t` without having Test::Spelling installed, it will skip the tests.

If you install the lib-test-spelling-perl, the test will fail:
xt/author/pod_spell.t .. You said to run 0 tests at xt/author/pod_spell.t line 21.
xt/author/pod_spell.t .. Dubious, test returned 25 (wstat 6400, 0x1900)
No subtests run 

This is because the call to all_pod_files_spelling_ok is expecting a path

If we try to fix it with adding "." as parameter, the tests will raise tone of errors:

#   Failed test 'POD spelling for ./acqui/invoice.pl'
#   at xt/author/pod_spell.t line 21.
# Errors:
#     pl

#   Failed test 'POD spelling for ./acqui/neworderempty.pl'
#   at xt/author/pod_spell.t line 21.
# Errors:
#     CGI
#     MARCfindbreeding
#     basketno
#     biblio
#     booksellerid
#     breedingid
#     neworderempty
#     ordernumber
#     pl
#     suggestionid

#   Failed test 'POD spelling for ./acqui/addorder.pl'
#   at xt/author/pod_spell.t line 21.
# Errors:
#     CGI
#     ISBN
#     addorder
#     biblio
#     cgi
#     copyrightdate
#     neworderbiblio
#     neworderempty
#     newordersuggestion
#     pl


And much more...

Let's remove this file
Comment 1 Jonathan Druart 2017-09-06 13:43:54 UTC
Created attachment 66871 [details] [review]
Bug 19262: Remove xt/author/pod_spell.t

If you run `prove xt/author/pod_spell.t` without having Test::Spelling installed, it will skip the tests.

If you install the lib-test-spelling-perl, the test will fail:
xt/author/pod_spell.t .. You said to run 0 tests at xt/author/pod_spell.t line 21.
xt/author/pod_spell.t .. Dubious, test returned 25 (wstat 6400, 0x1900)
No subtests run

This is because the call to all_pod_files_spelling_ok is expecting a path

If we try to fix it with adding "." as parameter, the tests will raise tone of errors.

Let's remove this file
Comment 2 Tomás Cohen Arazi 2017-09-06 17:21:12 UTC
Created attachment 66896 [details] [review]
Bug 19262: Remove xt/author/pod_spell.t

If you run `prove xt/author/pod_spell.t` without having Test::Spelling installed, it will skip the tests.

If you install the lib-test-spelling-perl, the test will fail:
xt/author/pod_spell.t .. You said to run 0 tests at xt/author/pod_spell.t line 21.
xt/author/pod_spell.t .. Dubious, test returned 25 (wstat 6400, 0x1900)
No subtests run

This is because the call to all_pod_files_spelling_ok is expecting a path

If we try to fix it with adding "." as parameter, the tests will raise tone of errors.

Let's remove this file

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2017-09-12 15:13:24 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 4 Fridolin SOMERS 2017-10-23 13:30:17 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 5 Katrin Fischer 2017-10-29 17:34:33 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 6 Mason James 2017-11-23 23:19:55 UTC
Pushed to 16.05.x, for 16.05.19 release